# Manuel utilisateur de KDE

2 jan. 2008
K Desktop Environment
plasmaengineexplorer
1

# `plasmaengineexplorer`

Fournit un accès direct aux moteurs de données de Plasma

    plasmaengineexplorer --height  pixels --width  pixels -x  pixels -y  pixels --engine  nom --source  nom --interval  ms

    plasmaengineexplorer Options génériques de KDE Options génériques de Qt

## Description

`plasmaengineexplorer` est un outil graphique permettant aux développeurs de tester des moteurs de données de Plasma sans devoir écrire une applet Plasma.

Si aucune option n'est fournie, il démarrera sans moteur de données sélectionné. Le moteur de données est requis et peut être sélectionné à partir d'une liste déroulante.

Seuls les moteurs de données installés seront retournés. `kbuildsycoca4` peut devoir être lancé afin de trouver les moteurs d'exploration de données nouvellement installés.

## Options

`--height pixels`

  Configure la hauteur de la fenêtre, en pixels.

`--width pixels`

  Configure la largeur de la fenêtre, en pixels.

`-x pixels`

  Configure la coordonnée x (horizontale) du coin supérieur gauche de la fenêtre, en pixels.

`-y pixels`

  Configure la coordonnée y (verticale) du coin supérieur gauche de la fenêtre, en pixels.

`--engine nom`

  Démarrer `plasmaengineexplorer` avec le moteur de données spécifié sélectionné. `nom` est le nom interne du moteur de données fourni par la clé X-KDE-PluginInfo-Name du fichier desktop.

`--source nom`

  Seulement valable si utilisé conjointement à `--engine`. Nécessite une source spécifique du moteur de données lorsque `plasmaengineexplorer` est démarré.

`--interval temps`

  Configure l'intervalle de mise à jour par défaut pour les sources demandées à `temps` (en millisecondes). Si ceci n'est pas configuré, la source se mettra à jour à la demande (pour certaines sources, ceci se produira lorsque de nouvelles données seront mises à disposition).

  Si `--source` est spécifié, il s'agit de l'intervalle de mise à jour qui sera utilisé lors de l'interrogation de cette source-là.

## Voir aussi

Une documentation utilisateur plus détaillée est disponible à l'adresse help:/plasma (saisissez cette URL dans &konqueror;, ou exécutez ``khelpcenter` `help:/plasma``).

## Exemples

Charger le moteur de données de temps, en affichant l'heure locale et en effectuant une mise à jour chaque seconde :

    plasmaengineexplorer --engine time --source Local --interval 1000

## Auteurs

`plasmaengineexplorer` a été écrit par Aaron Seigo aseigo@kde.org.